#include <ESP8266WiFi.h>


const uint8_t pinLED = 14;
const uint8_t pinSW = 0;
const uint8_t pinArduCamCS = 15;
const uint8_t pinSDCS = 2;
const uint8_t pinSDA = 4;
const uint8_t pinSCL = 5;
const uint8_t pinMotion = 16;


void setup() {
  Serial.begin(115200);
  delay(1);
  Serial.print("\n\n-----------------------\n");
  Serial.print("Program Start\n");
  
  pinMode(pinLED, OUTPUT);   // LED
  pinMode(pinSW, INPUT);     // スイッチ、照度センサーINT信号
  pinMode(pinMotion, INPUT_PULLDOWN_16);  // モーションセンサー入力

  // SPI CSはHIGHにしておく
  pinMode(pinArduCamCS, OUTPUT);
  pinMode(pinSDCS, OUTPUT);
  digitalWrite(pinArduCamCS, HIGH);
  digitalWrite(pinSDCS, HIGH);
}


void loop() {
  // モーションセンサーが感知した場合
  if(1==digitalRead(pinMotion)){
    digitalWrite(pinLED, 1);  // LED ON
  }
  // 感知しなかった場合
  else{
    digitalWrite(pinLED, 0);  // LED OFF
  }

}



